Get ERC20 allowance
GET /v2/asset/erc20/allowance/{contractDeploymentId}/{ownerAddress}/{spenderAddress}
GET
/v2/asset/erc20/allowance/{contractDeploymentId}/{ownerAddress}/{spenderAddress}
Get the allowance of an ERC20 token for a specific address.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” contractDeploymentId
required
string
contract-deployment-123A contract deployment Id
ownerAddress
required
string
0x123...A wallet address
spenderAddress
required
string
0x123...A wallet address
Responses
Section titled “ Responses ”The allowance of the ERC20 token
object
allowance
required
The allowance of the ERC20 token
string
owner
required
The owner address of the ERC20 token
string
spender
required
The spender address of the ERC20 token
string
contractDeploymentId
required
The FSCO contractDeploymentId
string
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error